PUT
/users-by-id/mass_update_custom_attributes/Mass update custom attributes
You can update a value for your custom attributes for many users at the same time.
| Attributes | Type | Required | Description |
|---|---|---|---|
| ids | list(strings) | yes | List of users' custom ids (unique identifiers for the user which are provided by the client). |
| attribute | string | yes | The name of your attribute. Has to be at least 1 character, and cannot be longer than 255 characters. |
| value | various types | yes | A possible attribute types: boolean, fixed, string, date, datetime, integer, float and json. |
Request
- CURL
- JavaScript
- PHP
- Python
curl -X PUT -H "Authorization: Token <your_64_char_api_key>"
-H "Accept: */*; version=2" -H "Content-Type: application/json" -d '{
"ids": ['10', '15', '22', '23'],
"attribute": "Name of the attribute",
"value": "Value for the attribute"
}' "https://<your_app_subdomain>.user.com/api/public/users-by-id/mass_update_custom_attributes/"
var data = JSON.stringify({
"ids": ['10', '15', '22', '23'],
"attribute": "Name of the attribute",
"value": "Value for the attribute"
});
var xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener("readystatechange", function () {
if (this.readyState === 4) {
console.log(this.responseText);
}
});
xhr.open("PUT", "https://<your_app_subdomain>.user.com/api/public/users-by-id/mass_update_custom_attributes/");
xhr.setRequestHeader("authorization", "Token <your_64_char_api_key>");
xhr.setRequestHeader("accept", "*/*; version=2");
xhr.setRequestHeader("content-type", "application/json");
xhr.send(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => "https://<your_app_subdomain>.user.com/api/public/users-by-id/mass_update_custom_attributes/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => "{\n \"ids\": ['10', '15', '22', '23'],\n \"attribute\": \"Name of the attribute\",\n \"value\": \"Value for the attribute\"\n}",
CURLOPT_HTTPHEADER => array(
"Accept: */*; version=2",
"authorization: Token <your_64_char_api_key>",
"content-type: application/json"
),
));
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
import http.client
conn = http.client.HTTPSConnection("<your_app_subdomain>.user.com")
payload = "{\n \"ids\": ['10', '15', '22', '23'],\n \"attribute\": \"Name of the attribute\",\n \"value\": \"Value for the attribute\"\n}"
headers = {
'authorization': "Token <your_64_char_api_key>",
'content-type': "application/json"
}
conn.request("PUT", "/api/public/users-by-id/mass_update_custom_attributes/", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))